org.eclipse.actf.model.ui

## Interface IModelServiceScrollManager

    public interface IModelServiceScrollManager

Interface to scroll `IModelService`

### Field Summary

Fields
`static int` `ABSOLUTE_COORDINATE` Scroll type: absolute coordinate
`static int` `INCREMENTAL` Scroll type: incremental
`static int` `NONE` Scroll type: not supported
`static int` `PAGE` Scroll type: page by page

### Method Summary

Methods
`void` `absoluteCoordinateScroll(int y, boolean waitRendering)` Scroll to y
`void` `absoluteCoordinateScroll(int x, int y, boolean waitRendering)` Scroll to (x,y)
`int` `decrementLargeScrollX(boolean waitRendering)` Decremental large scroll (horizontal)
`int` `decrementLargeScrollY(boolean waitRendering)` Decremental large scroll (vertical)
`int` `decrementPageScroll(boolean waitRendering)` Decremental page scroll (Page down)
`int` `decrementScrollX(boolean waitRendering)` Decremental scroll (horizontal)
`int` `decrementScrollY(boolean waitRendering)` Decremental scroll (vertical)
`int` `getCurrentPageNumber()` Get current page number of the content
`int` `getLastPageNumber()` Get page number of the last page of the content
`int` `getScrollType()` Get scroll type of the `IModelService`
`ModelServiceSizeInfo` `getSize(boolean isWhole)` Get screen size of `IModelService`
`int` `incrementLargeScrollX(boolean waitRendering)` Incremental large scroll (horizontal)
`int` `incrementLargeScrollY(boolean waitRendering)` Incremental large scroll (vertical)
`int` `incrementPageScroll(boolean waitRendering)` Incremental page scroll (Page up)
`int` `incrementScrollX(boolean waitRendering)` Incremental scroll (horizontal)
`int` `incrementScrollY(boolean waitRendering)` Incremental scroll (vertical)
`int` `jumpToPage(int pageNumber, boolean waitRendering)` Jump to specified page

### Field Detail

#### NONE

    static final int NONE

Scroll type: not supported

See Also:
  Constant Field Values

#### ABSOLUTE_COORDINATE

    static final int ABSOLUTE_COORDINATE

Scroll type: absolute coordinate

See Also:
  Constant Field Values

#### INCREMENTAL

    static final int INCREMENTAL

Scroll type: incremental

See Also:
  Constant Field Values

#### PAGE

    static final int PAGE

Scroll type: page by page

See Also:
  Constant Field Values

### Method Detail

#### getScrollType

    int getScrollType()

Get scroll type of the `IModelService`

Returns:
  scroll type

#### absoluteCoordinateScroll

    void absoluteCoordinateScroll(int y,
                                boolean waitRendering)

Scroll to y

Parameters:
  `y` - target Y coordinate
  `waitRendering` - if true, wait a finish of rendering

#### absoluteCoordinateScroll

    void absoluteCoordinateScroll(int x,
                                int y,
                                boolean waitRendering)

Scroll to (x,y)

Parameters:
  `x` - target X coordinate
  `y` - target Y coordinate
  `waitRendering` - if true, wait a finish of rendering

#### incrementScrollX

    int incrementScrollX(boolean waitRendering)

Incremental scroll (horizontal)

Parameters:
  `waitRendering` - if true, wait a finish of rendering
Returns:
  scroll size, or -1 if not supported

#### decrementScrollX

    int decrementScrollX(boolean waitRendering)

Decremental scroll (horizontal)

Parameters:
  `waitRendering` - if true, wait a finish of rendering
Returns:
  scroll size, or -1 if not supported

#### incrementScrollY

    int incrementScrollY(boolean waitRendering)

Incremental scroll (vertical)

Parameters:
  `waitRendering` - if true, wait a finish of rendering
Returns:
  scroll size, or -1 if not supported

#### decrementScrollY

    int decrementScrollY(boolean waitRendering)

Decremental scroll (vertical)

Parameters:
  `waitRendering` - if true, wait a finish of rendering
Returns:
  scroll size, or -1 if not supported

#### incrementLargeScrollX

    int incrementLargeScrollX(boolean waitRendering)

Incremental large scroll (horizontal)

Parameters:
  `waitRendering` - if true, wait a finish of rendering
Returns:
  scroll size, or -1 if not supported

#### decrementLargeScrollX

    int decrementLargeScrollX(boolean waitRendering)

Decremental large scroll (horizontal)

Parameters:
  `waitRendering` - if true, wait a finish of rendering
Returns:
  scroll size, or -1 if not supported

#### incrementLargeScrollY

    int incrementLargeScrollY(boolean waitRendering)

Incremental large scroll (vertical)

Parameters:
  `waitRendering` - if true, wait a finish of rendering
Returns:
  scroll size, or -1 if not supported

#### decrementLargeScrollY

    int decrementLargeScrollY(boolean waitRendering)

Decremental large scroll (vertical)

Parameters:
  `waitRendering` - if true, wait a finish of rendering
Returns:
  scroll size, or -1 if not supported

#### incrementPageScroll

    int incrementPageScroll(boolean waitRendering)

Incremental page scroll (Page up)

Parameters:
  `waitRendering` - if true, wait a finish of rendering
Returns:
  scroll size, or -1 if not supported

#### decrementPageScroll

    int decrementPageScroll(boolean waitRendering)

Decremental page scroll (Page down)

Parameters:
  `waitRendering` - if true, wait a finish of rendering
Returns:
  scroll size, or -1 if not supported

#### jumpToPage

    int jumpToPage(int pageNumber,
                 boolean waitRendering)

Jump to specified page

Parameters:
  `pageNumber` - target page number
  `waitRendering` - if true, wait a finish of rendering
Returns:
  resulting page number

#### getCurrentPageNumber

    int getCurrentPageNumber()

Get current page number of the content

Returns:
  current page number

#### getLastPageNumber

    int getLastPageNumber()

Get page number of the last page of the content

Returns:
  page number of the last page

#### getSize

    ModelServiceSizeInfo getSize(boolean isWhole)

Get screen size of `IModelService`

Parameters:
  `isWhole` -
  - true: try to calculate entire area of the content
  - false: current visible area size
Returns:
  screen size of `IModelService`